package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : ThreeLevelWardLabel
 * @Description :
 * @Author : 胡敬
 * @Date: 2020-03-23 10:21
 */
@Getter
@Setter
public class ThreeLevelWardLabel {
    private int serious = 0;    //0:不严重患者,1:危重患者,2:疑难患者,3:抢救患者
    private String title;   //医师职称
    private List<Clinical> clinicals = new ArrayList<>();   //病史(临床表现)
    private List<Sign> signs = new ArrayList<>();   //查体
    private List<Diag> diffDiag = new ArrayList<>();   //鉴别诊断
    private String diagBasisText;   //诊断依据文本
    private String diffDiagText;    //鉴别诊断文本
    private String diagText;    //诊断文本
    private List<Diag> diags = new ArrayList<>();   //补充诊断/初步诊断/修正诊断
    private String dischargeMode;  //离院方式
    private List<TreatmentPlan> treatmentPlans = new ArrayList<>();   //诊疗计划
    private List<BetterFinding> betterFindings = new ArrayList<>();   //好转表现
    private List<OutcomeToBetter> outcomeToBetters = new ArrayList<>();   //转归情况-好转
    private List<OutcomeCure> outcomeCures = new ArrayList<>();   //转归情况-治愈
    private List<PositiveFinding> positiveFindings = new ArrayList<>();   //阳性表现
    private List<LaboratoryPackage> laboratoryPackages = new ArrayList<>();  //实验室检查套餐
    private List<Laboratory> laboratories = new ArrayList<>();  //实验室检查
    private List<AuxiliaryExamination> auxiliaryExaminations = new ArrayList<>();  //辅助检查
    private List<Drug> drugs = new ArrayList<>();  //药物
}